﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Syncfusion.Windows.Controls;
using Syncfusion.Windows.Controls.Grid;
using System.Windows.Input;

namespace WpfApplication8
{
    public class CustomDoubleTextBoxCellModelExt : GridCellModel<CustomDoubleTextBoxCellRendererExt>
    {
        public CustomDoubleTextBoxCellModelExt()
        {

        }
    }

    public class CustomDoubleTextBoxCellRendererExt : GridCellDoubleEditCellRenderer
    {
        protected override void OnWireUIElement(Syncfusion.Windows.Shared.DoubleTextBox uiElement)
        {
            uiElement.Loaded += uiElement_Loaded;
            base.OnWireUIElement(uiElement);
        }

        void uiElement_Loaded(object sender, System.Windows.RoutedEventArgs e)
        {
            //throw new NotImplementedException();
            e.Handled= true;
        }
        protected override void OnSetFocus()
        {
            //if (!ActivateOptions.IsActivateTriggeredByMouseDownIntoUIElement)
            if ((this.GridControl.Model.Options.ActivateCurrentCellBehavior & GridCellActivateAction.SelectAll)!= GridCellActivateAction.None)
                CurrentCellUIElement.SelectAll();
            else
            {
                CurrentCellUIElement.CaptureMouse();
                
                CurrentCellUIElement.CaretIndex = CurrentCellUIElement.GetCharacterIndexFromPoint(Mouse.GetPosition(CurrentCellUIElement), true);
                
                CurrentCellUIElement.Focus();
            }
        }
    }
}
