﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.Windows.GridCommon;
using Syncfusion.Windows.Controls.Grid;
using Syncfusion.Windows.Controls.Scroll;

using Syncfusion.Windows.Shared;

namespace WpfApplication8
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        List<int> integer = new List<int>();
        public MainWindow()
        {
            InitializeComponent();
            InitializeGrid();
        }

        private void InitializeGrid()
        {
            this.grid.Model.RowCount = 50;
            this.grid.Model.ColumnCount = 20;
            this.grid.Model.QueryCellInfo += Model_QueryCellInfo;
            this.grid.Model.Options.ActivateCurrentCellBehavior = GridCellActivateAction.DblClickOnCell;
           grid.Model.CellModels.Add("CustomDoubleEdit", new CustomDoubleTextBoxCellModelExt());
        }

        void Model_QueryCellInfo(object sender, GridQueryCellInfoEventArgs e)
        {
            if (e.Cell.RowIndex == 0 && e.Cell.ColumnIndex == 0)
                return;
            if (e.Cell.RowIndex == 0)
                e.Style.CellValue = e.Cell.ColumnIndex;
            else if (e.Cell.ColumnIndex == 0)
                e.Style.CellValue = e.Cell.RowIndex;
            
            else
            {
                e.Style.CellType = "CustomDoubleEdit";
                if (string.IsNullOrEmpty(e.Style.CellValue.ToString()))
                    //e.Style.CellValue = string.Format("Row{0}, Col{1}", e.Style.RowIndex, e.Style.ColumnIndex);
                    
                e.Style.CellEditTemplateKey = "CustomTemplate";
               
                e.Style.CellValue = 14567.821;
            }
        }
    }

}
